Subject: Summary: Thermal corrections at T .ne. 298 K

From: "David J Anick" <[email-masked]>
Date: Tue, 18 Jun 2002 08:44:32 -0700

To All,
 
Heartfelt thanks to the many of you who responded to my
query regarding computation of thermal corrections at
temperatures other than 298 K.  The original query is
repeated here, followed by summary of responses.
While all responses are useful, Karl Irikura's perl script
was the quickest and easiest way to solve my problem,
and I recommend it to anyone else faced with the
same situation.
 
David Anick
[email-masked]
========================================
Dear CCLers,
 
Having completed a Gaussian98 frequencies/ZPE calculation
at an optimized geometry, I now find that I would like to know
the thermal corrections to energy, enthalpy and Gibbs free
energy at a different temperature (77 K) than the one that
Gaussian98 automatically calculated (298 K).
 
I don't want to re-run the calculation if possible because
it took nearly a week.
 
Can anyone tell me the formula(s) that Gaussian98 uses
to compute these data?  If it involves integrating Cp or
Cp/T, how do I obtain Cp as a function of temperature?
 
Thank you in advance,
 
David Anick MD PhD
[email-masked]
========================================
From: "Huajun Fan" <[email-masked]>
 Hi, Actually, to obtain the therm values at different
 temperature is fairly fast and easy once you had the 298K
 one. Here is an example of input:
 
---beginning of file--
%Chk=yourcheckfilename.chk
# b3lyp/yourbasisset pseudo=read freq(readiso readfc)
 geom=allcheck
 
523.15 1.0
 
ECP goes here
 
--end of file--
 
this calculation on this kind should take less than a
 minute.  Hope this helps. huajun
-------------------------------------------------------------
From: "Stefan Fau" <[email-masked]>
Hi David,
 
if you still have the checkpoint-file of the
frequency calculation, you can reuse the
force constants in there. I forgot the details,
but I dimly remember a keyword like
# ... freq(readisotope)
It calculates thermodynamic data with
non-standard settings and can use data
> from the checkpoint-file.
 
Stefan
-------------------------------------------------------------
From: "Karl Irikura" <[email-masked]>
Hi.  I have a Perl script that will compute S, Cp, and H(T)-H(0) from 
a G98 frequency output file.  I'll send it to you if you like.  I can 
also send a reprint of a book appendix that shows all the equations.
 
Best wishes,
 
Karl I.
Dr. Karl K. Irikura
National Institute of Standards and Technology
100 Bureau Drive, Stop 8380
Gaithersburg, MD  20899-8380
voice: 301-975-2510     fax: 301-869-4020
e-mail: [email-masked]
http://www.nist.gov/compchem/
-------------------------------------------------------------
From: "Dinamica" <[email-masked]>
You can re-run G98 to recompute the vibrational analysis &
thermodynamics in the conditions you ainterested by using formchk.
And also the g98 w/ some read= option (sorry i do not remeber it now.)
 
You should check a Gaussian white-paper on their www
which describes how they obtain thermochemiscal data from frequencies.
 
hope to have helped,
 
greetings,
 
Guilherme
-------------------------------------------------------------
From: "Wai-To Chan" <[email-masked]>
     There is a paper "Thermochemistry in Gaussian" by Joseph
W. Ochterski at Gaussian Inc which may be helpful. The paper
is probably still available from the gaussian homepage. 
 
  I suppose you didn't save the checkpoint file. There is this
utility program freqchk which I've never used in the g98 package
that may do what you want if you have the check file. 
 
   I have a simple fortran code that can restore thermochemical
quantities including H and G from a g98 frequency output file
(default printing option required) at specified temperature.
A while ago I posted the code in response to a similar question.
Email me if you need it and I will repost it.
 
Wai-To Chan
-------------------------------------------------------------
From: "Dave Harris" <[email-masked]>
If you still have either a checkpoint (.chk) file or a formatted
checkpoint (.fchk) file produced by the original frequency calculation,
you can use the freqchk utility to calculate thermodynamic parameters
for different temperatures, pressures, and isotope masses. It can also
be used to change the scaling factor applied to calculated vibrational
frequencies. Info from Gaussian is at:
<http://www.gaussian.com/freqchk.htm>
 
> Can anyone tell me the formula(s) that Gaussian98 uses
> to compute these data?
 
This can also be found at the Gaussian site:
<http://www.gaussian.com/thermo.htm>
 
Regards,
-- 
Dave Harris
Department of Chemistry
University of Missouri-Kansas City
-------------------------------------------------------------
From: "Steve Williams" <[email-masked]>
If you still have the checkpoint file there is a g98 utility
program (freqcheck?) that will do exactly what you want.
If not you can compute the corrections yourself from the freq's
you have in the g98 output file.  Look in any pchem textbook
for the formulae for rot, trans, and vib contributions to
energy of ideal gas; these will be in the chapter on 
simple statistical mechanics.
-------------------------------------------------------------
From: "Laurence Cuffe" <[email-masked]>
There's a couple of good papers on the gaussian web site, however 
if you have the checkpoint file from the completed job then the
freqchk utility may be useful it
"may be used for retrieving frequency and thermochemistry data 
> from a checkpoint file with optional specification of an alternate 
temperature, pressure, scale factor, and or isotope substitution"
I've used it and found it straightforward and stable in operation.
All the best
Laurence Cuffe
-------------------------------------------------------------
From: "Viswanathan Balakrishnan" <[email-masked]>
Sir,
If you have saved the check file, then you can use the Gaussian 
utility Freqchk and change the temperature. I usually perform these 
calculations as an additional step in the main job using the keyword 
freq(readisotopes). The first line required (after the molecular 
specification) contains the temperature (Kelvin) followed by pressure 
(bar) separated by a space. If you want to make isotopic 
substitutions, they are described in the following lines. 
Hope this is of some help.
 
Balakrishnan
Balakrishnan Viswanathan
-------------------------------------------------------------
From: "Shobe, Dave" <[email-masked]>
Try this:
#n [theory level here] freq=(readfc,readiso) geom=check guess=read 
 
Where the Z-matrix would go, put a blank line and then a line with
the new temperature and pressure (as floating point numbers).
 
This is VERY fast!  
 
--David